summaryrefslogtreecommitdiff
path: root/tests/unistdio/test-u8-vasnprintf3.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-07-02 01:34:46 +0000
committerBruno Haible <bruno@clisp.org>2007-07-02 01:34:46 +0000
commit2625ca90abe3246f6d3240d59d32f1843afc9651 (patch)
treeb3c2bf629c91f1e7e9d9aed4fd9df7ca159f7474 /tests/unistdio/test-u8-vasnprintf3.sh
parent7c8322243bf4fe57a7f5d042182c1b5c541bdaeb (diff)
downloadgnulib-2625ca90abe3246f6d3240d59d32f1843afc9651.tar.gz
Formatted output functions for Unicode strings.
Diffstat (limited to 'tests/unistdio/test-u8-vasnprintf3.sh')
-rwxr-xr-xtests/unistdio/test-u8-vasnprintf3.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/unistdio/test-u8-vasnprintf3.sh b/tests/unistdio/test-u8-vasnprintf3.sh
new file mode 100755
index 0000000000..9df0044adc
--- /dev/null
+++ b/tests/unistdio/test-u8-vasnprintf3.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Test whether a french Unicode locale is installed.
+: ${LOCALE_FR_UTF8=fr_FR.UTF-8}
+if test $LOCALE_FR_UTF8 != none; then
+ testlocale=$LOCALE_FR_UTF8
+else
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no french Unicode locale is installed"
+ else
+ echo "Skipping test: no french Unicode locale is supported"
+ fi
+ exit 77
+fi
+
+LC_ALL=$testlocale \
+./test-u8-vasnprintf1${EXEEXT} \
+ || exit 1
+
+LC_ALL=$testlocale \
+./test-u8-vasnprintf3${EXEEXT}